New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

@babel/env with useBuiltIns does not include string iterator on IE9 #6779

Closed
Kovensky opened this Issue Nov 9, 2017 · 0 comments

Comments

Projects
None yet
3 participants
@Kovensky
Member

Kovensky commented Nov 9, 2017

Input Code

import '@babel/polyfill'
const [foo, bar] = 'fb'
console.log(foo, bar)

Babel/Babylon Configuration (.babelrc, package.json, cli command)

{
  "preset": [
    ["@babel/env", {
      "useBuiltIns": "entry",
      "forceAllTransforms": true,
      "shippedProposals": true,
      "targets": {
        "ie": 9,
        "chrome": 49,
        "edge": 13,
        "firefox": 45,
        "safari": 9
      }
    }]
  ]
}

Expected Behavior

Should print f b

Current Behavior

Throws TypeError in IE (any version) inside slicedToArray

Your Environment

software version(s)
Babel 7.0.0-beta.31

@yavorsky yavorsky added the i: bug label Nov 24, 2017

@lock lock bot added the outdated label May 2, 2018

@lock lock bot locked as resolved and limited conversation to collaborators May 2, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.